Subject: bug#22894: 25.1.50; dired-mark: Not remark a marked file

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 04 Mar 2016 12:31:21 +0000

Tino Calancha <[email-masked]> writes:

> Marking many files using several markers may need some time, with
> some regexp gimnastics. Its a pity if someone accidentaly change
> one of the marks. For instance, using `dired-mark-files-in-region',
> the last/first file in the region could be included unintentionally
> changing the mark of one file.
>
> I'm not sure if allow 1) or to ban it.
> I'm not sure if someone find this thread useful either :-)

You're right.  :-)  I think if the user tries to change the marks in a
region, then the marks in the region should be changed.  So I'm not sure
I understand the use case at all...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no